VSTGUI: IDropTarget Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
IDropTarget Class Referenceabstract
New classes » Version 4.7

Drop target interface. More...

`#include <dragging.h>`

Inheritance diagram for IDropTarget:

## Public Member Functions
virtual DragOperation | onDragEnter (DragEventData data)=0
| a drag enters the drop target More...
virtual DragOperation | onDragMove (DragEventData data)=0
| a drag moves over the drop target More...
virtual void | onDragLeave (DragEventData data)=0
| a drag leaves the drop target More...
virtual bool | onDrop (DragEventData data)=0
| a drop happens on the drop target More...
Public Member Functions inherited from IReference
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...

## Detailed Description

Drop target interface.

handles drag'n drop for a view

The workflow is:

- drag enters a view, the getDropTarget() of the view is called
- the drop targets onDragEnter() is called
- the drop targets onDragMove() is called whenever the mouse moves inside the view
- when the mouse leaves the view, the drop targets onDragLeave() is called and its reference count is decreased.
- when the drag is droped, the drop targets onDrop() is called and then its reference count is decreased. Note that no onDragLeave() is called.

## Member Function Documentation

## ◆ onDragEnter()

virtual DragOperation onDragEnter | ( | DragEventData | data | ) |
| pure virtual

a drag enters the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implemented in CViewContainerDropTarget, and DropTargetAdapter.

## ◆ onDragLeave()

virtual void onDragLeave | ( | DragEventData | data | ) |
| pure virtual

a drag leaves the drop target

Parameters

  data | drag event data

Implemented in CViewContainerDropTarget, and DropTargetAdapter.

## ◆ onDragMove()

virtual DragOperation onDragMove | ( | DragEventData | data | ) |
| pure virtual

a drag moves over the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implemented in CViewContainerDropTarget, and DropTargetAdapter.

## ◆ onDrop()

virtual bool onDrop | ( | DragEventData | data | ) |
| pure virtual

a drop happens on the drop target

Parameters

  data | drag event data

Implemented in CViewContainerDropTarget, and DropTargetAdapter.

The documentation for this class was generated from the following file:

- dragging.h